The Conversation Log API provides a read-only list of all ticket and conversational events appended to a ticket.

Conversational events include messages sent by agents, end users, or bots.

Ticket events cover interactions such as adding new comments to the ticket.

For a complete list of events, see the Conversation Log events reference.

JSON format

Conversation Log are represented as JSON objects with the following properties:

NameTypeRead-onlyMandatoryDescription
attachmentsarraytruetrueA collection of attachments (image or file) associated with the event
authorobjectfalsetrueObject that describes the user who created the event
contentobjecttruetrueObject that describes the content of the message. The inner fields depends on the record type
created_atstringtruetrueThe timestamp of when this record was created
idstringtruetrueUnique record identifier
metadataobjecttruetrueVarious additional data that further describes this record
referencestringtruetrueA Zendesk resource name value that uniquely identifies this record. Example: zen:ticket_event:<id>
typestringtruetrueThe type of record, representing one of the conversational ticket events. Examples: Comment or Messaging::ConversationMessage

Example

{  "attachments": [    {      "content_type": "image/png",      "content_url": "https://company.zendesk.com/attachments/token/123/?name=sample.png",      "deleted": false,      "file_name": "sample.png",      "height": 128,      "id": 8639388162331,      "inline": false,      "mapped_content_url": "https://company.zendesk.com/attachments/token/h123/?name=sample.png",      "size": 20331,      "thumbnails": [        {          "content_type": "image/png",          "content_url": "https://company.zendesk.com/attachments/token/333/?name=sample_thumb.png",          "deleted": false,          "file_name": "sample_thumb.png",          "height": 80,          "id": 8639488164605,          "inline": false,          "mapped_content_url": "https://company.zendesk.com/attachments/token/333/?name=sample_thumb.png",          "size": 10173,          "url": "https://company.zendesk.com/api/v2/attachments/86395",          "width": 80        }      ],      "url": "https://company.zendesk.com/api/v2/attachments/13341",      "width": 128    }  ],  "author": {    "avatar_url": "https://static.zdassets.com/web_widget/latest/default_avatar.png",    "display_name": "Sample Owner",    "type": "agent",    "zen:sunco:user_id": "a21a91fd1234a",    "zen:support:user_id": 123111233  },  "content": {    "body": "<div class=\\\"zd-comment\\\" dir=\\\"auto\\\">big bear attachment public comment email<br></div>",    "type": "html"  },  "created_at": "2024-10-09T03:30:43Z",  "id": "01J9Q342W4DE2G1343NNTX36G",  "metadata": {    "custom": {},    "public": true,    "system": {      "client": "Mozilla/5.0 (Macintosh; Intel Mac OS X 10_15_7)",      "ip_address": "123.45.67.89",      "latitude": -30.3,      "location": "Sydney, NSW, Australia",      "longitude": 100.1    },    "ticket_version": 4  },  "reference": "zen:ticket_event:8639326502654",  "type": "Comment"}

List Conversation log for Ticket

  • GET /api/v2/tickets/{ticket_id}/conversation_log

Lists the conversation log events for a specified ticket.

Pagination